# Custom 500 Error

## INTRODUCTION

The **Custom 500 Error** module allows site administrators to define and display a custom markup message when a **500 Internal Server Error** occurs on a Drupal site. This module provides an interface to set your own HTML markup that replaces the default error page shown during a server error (HTTP 500), offering a better user experience and consistent branding.

### Key Features

- Custom HTML for internal server error pages
- Simple and lightweight configuration
- Easy administration via the web interface
- Seamless integration with Drupal's error handling system
- Maintains site branding during critical errors

### Project Links

- **Project page**: [https://www.drupal.org/project/custom_500_error](https://www.drupal.org/project/custom_500_error)
- **Issue queue**: [https://www.drupal.org/project/issues/custom_500_error](https://www.drupal.org/project/issues/custom_500_error)

---

## REQUIREMENTS

This module has **no special requirements** beyond Drupal core. It is compatible with standard Drupal installations and does not require any additional libraries or dependencies.

---

## INSTALLATION

Install the Custom 500 Error module as you would normally install any contributed Drupal module:

### Method 1: Manual Installation

1. Download the module from [Drupal.org](https://www.drupal.org/project/custom_500_error)
2. Extract and place it in your `/modules` or `/modules/contrib` directory
3. Enable the module via the **Extend** page (`/admin/modules`)

### Method 2: Drush Installation

```bash
# Download and enable the module
drush en custom_500_error

# Or use Composer (recommended)
composer require drupal/custom_500_error
drush en custom_500_error
